Skip to main content
GET
/
objects
/
{objectId}
/
associations
Get Object Associations
curl --request GET \
  --url https://api.example.com/objects/{objectId}/associations
[
  {
    "name": "<string>",
    "object1": {
      "ids": [
        1
      ],
      "label": "<string>",
      "multiplicity": "ONE",
      "type": "record",
      "child": true,
      "fieldName": "<string>"
    },
    "object2": {
      "ids": [
        1
      ],
      "label": "<string>",
      "multiplicity": "ONE",
      "type": "record",
      "child": true,
      "fieldName": "<string>"
    },
    "createdAt": 1,
    "createdBy": 1,
    "updatedAt": 1,
    "updatedBy": 1,
    "id": 1,
    "creationType": "System",
    "originObject": "OBJECT_ONE"
  }
]

Path Parameters

objectId
string
required

Unique system identifier for SDRecords

Pattern: ^[0-9]*$

Response

The object associations for the object

name
string
required
object1
object
required
object2
object
required
createdAt
integer
required
Required range: x >= 0
createdBy
integer
required

A User Id

Required range: x >= 0
updatedAt
integer
required
Required range: x >= 0
updatedBy
integer
required

A User Id

Required range: x >= 0
id
integer
required

Unique system identifier

Required range: x >= 0
creationType
enum<string>
required

Indicates who created the item. Not editable

Available options:
System,
User
originObject
enum<string>
required

Which object in the association definition corresponds to the input of the GetObjectAssociations query

Available options:
OBJECT_ONE,
OBJECT_TWO,
BOTH_OBJECTS